Debian Bug report logs - #522756
After resume, acpid dies: too many errors reading input layer - aborting

version graph

Package: acpid; Maintainer for acpid is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpid is src:acpid.

Reported by: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>

Date: Mon, 6 Apr 2009 09:15:02 UTC

Severity: serious

Found in versions acpid/1.0.8-6, acpid/1.0.10-2

Fixed in version acpid/1.0.10-3

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Mon, 06 Apr 2009 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
New Bug report received and forwarded. Copy sent to debian-eeepc-devel@lists.alioth.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 06 Apr 2009 09:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: After resume, acpid dies: too many errors reading input layer - aborting
Date: Mon, 06 Apr 2009 06:12:44 -0300
Package: acpid
Version: 1.0.8-6
Severity: normal

On my Asus Eee PC model 4G (aka 701) sometimes after I resume, acpid dies with
the following errors:

Apr  6 05:59:52 dove acpid: input layer read error: No such device (19) 
Apr  6 05:59:52 dove last message repeated 4 times
Apr  6 05:59:52 dove acpid: too many errors reading input layer - aborting 

This is with /etc/default/acpid OPTIONS="-n" on linux-image-2.6.29-1-686 2.6.29-1.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages acpid depends on:
ii  libc6                         2.9-6      GNU C Library: Shared libraries
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages acpid recommends:
ii  acpi-support-base             0.109-11   scripts for handling base ACPI eve

acpid suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Sun, 12 Apr 2009 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Sun, 12 Apr 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 522756@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 522756@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#522756: After resume, acpid dies: too many errors reading input layer - aborting
Date: Sun, 12 Apr 2009 20:08:54 +0200
On Mon, Apr 06, 2009 at 06:12:44AM -0300, Ben Armstrong wrote:
> Apr  6 05:59:52 dove acpid: input layer read error: No such device (19) 

Can it be that those devices (/dev/input/event*) do not exist anymore after
resume? Or do they somehow get recreated?

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Mon, 13 Apr 2009 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 13 Apr 2009 09:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 522756@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 522756@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#522756: After resume, acpid dies: too many errors reading input layer - aborting
Date: Mon, 13 Apr 2009 06:01:50 -0300
On Sun, 12 Apr 2009 20:08:54 +0200
Michael Meskes <meskes@debian.org> wrote:
> Can it be that those devices (/dev/input/event*) do not exist anymore after
> resume? Or do they somehow get recreated?

Could be.  I'm on 1.0.8-7 now and will have to look more closely
if-and-when the bug recurs.

Thanks,
Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Mon, 13 Apr 2009 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 13 Apr 2009 15:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 522756@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 522756@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#522756: Bug#522756: After resume, acpid dies: too many errors reading input layer - aborting
Date: Mon, 13 Apr 2009 17:17:12 +0200
On Mon, Apr 13, 2009 at 06:01:50AM -0300, Ben Armstrong wrote:
> On Sun, 12 Apr 2009 20:08:54 +0200
> Michael Meskes <meskes@debian.org> wrote:
> > Can it be that those devices (/dev/input/event*) do not exist anymore after
> > resume? Or do they somehow get recreated?
> 
> Could be.  I'm on 1.0.8-7 now and will have to look more closely
> if-and-when the bug recurs.
> ...

Also please check #523449. Yours might be the same problem.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Wed, 22 Apr 2009 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to s.huels@gmx.net:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 22 Apr 2009 18:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 522756@bugs.debian.org (full text, mbox):

From: Soenke <s.huels@gmx.net>
To: 522756@bugs.debian.org
Subject: Same problem on ThinkPad X40
Date: Wed, 22 Apr 2009 20:21:57 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It seems that I have the same problem (or at least a similar one) on my
ThinkPad X40.
After resume, acpid sometimes crashes. Normally, this happens in
conjunction with USB hub errors. I have an external keyboard and mouse
attached by USB.
Also, acpid crashes in much the same way when I unplug my USB hub (the
one with the KB/mouse on it) during normal operation, making the error
nicely reproducible. ;)

Output of some commands when unplugging the USB hub:

- ------------------------------------------------------
acpi -dl:

acpid: input layer read error: No such device (19)
acpid: input layer read error: No such device (19)
acpid: input layer read error: No such device (19)
acpid: input layer read error: No such device (19)
acpid: input layer read error: No such device (19)
acpid: too many errors reading input layer - aborting

The same appears in the syslog.
- ------------------------------------------------------

- ------------------------------------------------------
strace -p $(pidof acpid):

select(12, [3 4 5 6 7 8 9 10 11], NULL, NULL, NULL) = 2 (in [8 9])
read(8, 0xbfae2a50, 16)                 = -1 ENODEV (No such device)
time(NULL)                              = 1240423440
writev(2, [{"acpid: input layer read error: No"..., 51}], 1) = 51
send(13, "<27>Apr 22 20:04:00 acpid: input "..., 71, MSG_NOSIGNAL) = 71
read(9, 0xbfae2a50, 16)                 = -1 ENODEV (No such device)
time(NULL)                              = 1240423440
writev(2, [{"acpid: input layer read error: No"..., 51}], 1) = 51
send(13, "<27>Apr 22 20:04:00 acpid: input "..., 71, MSG_NOSIGNAL) = 71
select(12, [3 4 5 6 7 8 9 10 11], NULL, NULL, NULL) = 2 (in [8 9])
read(8, 0xbfae2a50, 16)                 = -1 ENODEV (No such device)
time(NULL)                              = 1240423440
writev(2, [{"acpid: input layer read error: No"..., 51}], 1) = 51
send(13, "<27>Apr 22 20:04:00 acpid: input "..., 71, MSG_NOSIGNAL) = 71
read(9, 0xbfae2a50, 16)                 = -1 ENODEV (No such device)
time(NULL)                              = 1240423440
writev(2, [{"acpid: input layer read error: No"..., 51}], 1) = 51
send(13, "<27>Apr 22 20:04:00 acpid: input "..., 71, MSG_NOSIGNAL) = 71
select(12, [3 4 5 6 7 8 9 10 11], NULL, NULL, NULL) = 2 (in [8 9])
read(8, 0xbfae2a50, 16)                 = -1 ENODEV (No such device)
time(NULL)                              = 1240423440
writev(2, [{"acpid: input layer read error: No"..., 51}], 1) = 51
send(13, "<27>Apr 22 20:04:00 acpid: input "..., 71, MSG_NOSIGNAL) = 71
time(NULL)                              = 1240423440
writev(2, [{"acpid: too many errors reading in"..., 54}], 1) = 54
send(13, "<27>Apr 22 20:04:00 acpid: too ma"..., 74, MSG_NOSIGNAL) = 74
exit_group(1)                           = ?
Process detached
- ------------------------------------------------------

I recently upgraded to kernel version 2.6.29-1-686 (from 2.6.26-2-686)
and the new Xorg in unstable. Could there be a connection with the evdev
input driver? I was using kbd and mouse Xorg drivers before without trouble.
Please tell me if I can provide more information to help in solving this.

Regards,

Soenke

Versions of possibly relevant packages:
acpid 1.0.8-8
linux-image-2.6.29-1-686
xserver-xorg-core-2:1.6.1-1
xserver-xorg-input-evdev-1:2.2.1-1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ72BF094f/H6wEuMRAmNyAKCgJelVp/1zujJ/q8ysoLNDzpeqfACgl59m
eHsIgbBDO78HmV+Eku+X6LQ=
=pgUI
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Wed, 06 May 2009 02:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 02:12:02 GMT) Full text and rfc822 format available.

Message #30 received at 522756@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 522756@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#522756: After resume, acpid dies: too many errors reading input layer - aborting
Date: Tue, 05 May 2009 23:10:07 -0300
On Sun, 12 Apr 2009 20:08:54 +0200
Michael Meskes <meskes@debian.org> wrote:
> Can it be that those devices (/dev/input/event*) do not exist anymore after
> resume? Or do they somehow get recreated?

I'm pretty sure that at 17:28 I unplugged my USB mouse to test
something, as I have a corresponding irclog entry from around the same
time that relates to it.  I didn't discover the breakage until much
later when I tried to suspend the system before going to bed.  I
probably plugged the mouse back in again at 17:30, the creation times
shown below for event1 and event2.

synrg@dove:~$ sudo grep acpid /var/log/syslog
May  5 16:09:59 dove acpid: client 3250[0:0] has disconnected 
May  5 17:28:32 dove acpid: input layer read error: No such device (19) 
May  5 17:28:32 dove acpid: too many errors reading input layer - aborting 
synrg@dove:~$ ls -l /dev/input/event*
crw-rw---- 1 root root 13, 64 2009-05-02 14:56 /dev/input/event0
crw-rw---- 1 root root 13, 65 2009-05-05 17:30 /dev/input/event1
crw-rw---- 1 root root 13, 74 2009-05-02 14:56 /dev/input/event10
crw-rw---- 1 root root 13, 66 2009-05-05 17:30 /dev/input/event2
crw-rw---- 1 root root 13, 67 2009-05-02 14:56 /dev/input/event3
crw-rw---- 1 root root 13, 68 2009-05-02 14:56 /dev/input/event4
crw-rw---- 1 root root 13, 69 2009-05-02 14:56 /dev/input/event5
crw-rw---- 1 root root 13, 70 2009-05-02 14:56 /dev/input/event6
crw-rw---- 1 root root 13, 71 2009-05-02 14:56 /dev/input/event7
crw-rw---- 1 root root 13, 72 2009-05-02 14:56 /dev/input/event8
crw-rw---- 1 root root 13, 73 2009-05-02 14:56 /dev/input/event9

Ben
--
 ,-.  nSLUG    http://www.nslug.ns.ca   synrg@sanctuary.nslug.ns.ca
 \`'  Debian   http://www.debian.org    synrg@debian.org
  `          [ gpg 395C F3A4 35D3 D247 1387 2D9E 5A94 F3CA 0B27 13C8 ]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Sat, 16 May 2009 12:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Sat, 16 May 2009 12:30:10 GMT) Full text and rfc822 format available.

Message #35 received at 522756@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <522756@bugs.debian.org>
Subject: acpid dies after resume
Date: Sat, 16 May 2009 14:25:43 +0200
Package: acpid
Version: 1.0.10-2
Severity: normal

Hi!

I have the same bug here:

May 16 14:22:17 neo acpid: input layer read error: No such device (19)
May 16 14:22:17 neo acpid: input layer read error: No such device (19)
May 16 14:22:17 neo acpid: input layer read error: No such device (19)
May 16 14:22:17 neo acpid: input layer read error: No such device (19)
May 16 14:22:17 neo acpid: too many errors reading input layer - aborting


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages acpid depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip
ii  module-init-tools             3.7-pre9-1 tools for managing Linux kernel mo

Versions of packages acpid recommends:
ii  acpi-support-base             0.122-2    scripts for handling base ACPI eve

acpid suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Wed, 15 Jul 2009 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 15 Jul 2009 08:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 522756@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: Debian Bug Tracking System <522756@bugs.debian.org>
Subject: acpid: ACPID terminates if input devices are removed
Date: Wed, 15 Jul 2009 09:58:37 +0200
Package: acpid
Version: 1.0.10-2
Severity: normal


I can confirm this bug. Removing an input device that was present when acpid
was started inevitably crashes the daemon since it does not simply drop the single
device, but terminates completely.

So an instance of acpid started (possibly during system boot) with an USB
keyboard plugged in will terminate the moment the keyboard is removed, due to
further read attempts on the former device fiel failing.

This is a major issue for notebook computers, since device files are often recreated
during suspend/resume cycles, thus breaking acpid.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages acpid depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip
ii  module-init-tools             3.7-pre9-1 tools for managing Linux kernel mo

Versions of packages acpid recommends:
ii  acpi-support-base             0.123-1    scripts for handling base ACPI eve

acpid suggests no packages.

-- debconf information:
  acpid/modules: ac processor battery button fan thermal
  acpid/noacpi:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Wed, 15 Jul 2009 10:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 15 Jul 2009 10:36:07 GMT) Full text and rfc822 format available.

Message #45 received at 522756@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: Debian Bug Tracking System <522756@bugs.debian.org>
Subject: Disabling input layer access in acpid
Date: Wed, 15 Jul 2009 12:14:45 +0200
Package: acpid
Version: 1.0.10-2
Severity: normal


I've created a small patch to acpid that adds an command line switch
"--noinput/-i" to the daemon that prohibits it from accessing the input device
files. Therefore, it won't crash when devices are removed, however, it cannot
react to button presses. The SW_LID, KEY_POWER, KEY_SLEEP and KEY_SUSPEND must
be handled elsewhere. I did this using my daemon "magmakeys" I originally created
to handle thinkpad event keys that ceased to generate ACPI events some time ago,
it can also handle the cases named above quite fine.

acpid patch: http://wertarbyte.de/debian/acpid-noinput.diff
  magmakeys: http://stefans.datenbruch.de/magmakeys/
       debs: http://wertarbyte.de/apt/

The patch is also attached to this message.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Wed, 19 Aug 2009 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 19 Aug 2009 20:57:09 GMT) Full text and rfc822 format available.

Message #50 received at 522756@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: 522756@bugs.debian.org
Subject: Bug #522756: Confirmed on docking of Thinkpad X200s
Date: Wed, 19 Aug 2009 13:46:05 -0700
[Message part 1 (text/plain, inline)]
Hi, this same bug crashes acpid on every dock/undock my Thinkpad X200s.

Is this really severity normal? Seems at least important to me, acpid
shouldn't just die on the addition or removal of input devices.

Daniel

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Tue, 08 Sep 2009 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to hramrach@centrum.cz, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Tue, 08 Sep 2009 08:51:04 GMT) Full text and rfc822 format available.

Message #55 received at 522756@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Debian Bug Tracking System <522756@bugs.debian.org>
Subject: Re: resume, acpid dies: too many errors reading input layer - aborting
Date: Tue, 08 Sep 2009 10:46:17 +0200
Package: acpid
Version: 1.0.10-2
Severity: important


With USB input devices acpid dies every suspend/resume even if the
devices are not unplugged physically because they are logicaly removed
during suspend.


-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing'), (300, 'unstable'), (290, 'stable-i386'), (280, 'testing-i386'), (270, 'unstable-i386'), (1, 'experimental-i386'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages acpid depends on:
ii  libc6                         2.9-23     GNU C Library: Shared libraries
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages acpid recommends:
ii  acpi-support-base             0.123-1    scripts for handling base ACPI eve

acpid suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#522756; Package acpid. (Thu, 22 Oct 2009 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 22 Oct 2009 12:36:03 GMT) Full text and rfc822 format available.

Message #60 received at 522756@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 522756@bugs.debian.org
Subject: Re: After resume, acpid dies: too many errors reading input layer - aborting
Date: Thu, 22 Oct 2009 12:28:13 +0100
severity 522756 serious
thanks

When this happens to me, it causes Xorg to start chewing 100% of my CPU
as it spews out the following message:

        (WW) Open ACPI failed (/var/run/acpid.socket) (Connection refused)

This makes the laptop unresponsive. I therefore think this bug makes the
package unsuitable for release. But of course feel free to downgrade it
again if you disagree. :)

Alternatively, you could argue that the cpu churn is Xorg's problem, so
if you want I will file a bug against xserver-xorg-core instead.

-- 
Sam Morris <sam@robots.org.uk>




Severity set to 'serious' from 'normal' Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Thu, 22 Oct 2009 12:36:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Mon, 09 Nov 2009 15:36:11 GMT) Full text and rfc822 format available.

Notification sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug acknowledged by developer. (Mon, 09 Nov 2009 15:36:11 GMT) Full text and rfc822 format available.

Message #67 received at 522756-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 522756-close@bugs.debian.org
Subject: Bug#522756: fixed in acpid 1.0.10-3
Date: Mon, 09 Nov 2009 15:32:26 +0000
Source: acpid
Source-Version: 1.0.10-3

We believe that the bug you reported is fixed in the latest version of
acpid, which is due to be installed in the Debian FTP archive:

acpid_1.0.10-3.diff.gz
  to main/a/acpid/acpid_1.0.10-3.diff.gz
acpid_1.0.10-3.dsc
  to main/a/acpid/acpid_1.0.10-3.dsc
acpid_1.0.10-3_amd64.deb
  to main/a/acpid/acpid_1.0.10-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Nov 2009 14:46:15 +0100
Source: acpid
Binary: acpid
Architecture: source amd64
Version: 1.0.10-3
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpid      - Advanced Configuration and Power Interface event daemon
Closes: 521280 522756 547326 549948
Changes: 
 acpid (1.0.10-3) unstable; urgency=low
 .
   * Made acpid recommend correct version of acpi-support-base.
   * Added missing input defines for Thinkpads. (Closes: #521280) -
     thanks to Harald Braumann <harry@unheit.net>
   * Fixed package description. (Closes: #549948) - thanks to Justin B
     Rye <jbr@edlug.org.uk>
   * Clarify some wording. - thanks to Thiemo Nagel
     <thiemo.nagel@ph.tum.de>
   * Bumped Standards-Version to 3.8.3, no changes needed.
   * Fix some lintian warnings.
   * Updated list of power managers. (Closes: #547326)
   * Stopping for single user mode could be done by sendsigs as well.
   * Updated to netlink patch to version 1.0.10-netlink5. (Closes:
     #522756)
Checksums-Sha1: 
 58d00fd92498b7f1707e6ab60c95e3856460a30b 1273 acpid_1.0.10-3.dsc
 61567a8504253dabf3139e81807e4821f5f63a1a 37305 acpid_1.0.10-3.diff.gz
 78736158c27603784c408ef638451e3f89d69515 48168 acpid_1.0.10-3_amd64.deb
Checksums-Sha256: 
 7965352b0349539bef809b6d0778782bf0edfe62dd84f9e06ec7ffa640e7a91c 1273 acpid_1.0.10-3.dsc
 e9e9c4a669b4fbcd2b51adce534179de78151154e90b6d41605a12aa64b5cd41 37305 acpid_1.0.10-3.diff.gz
 4a5bc3c9ae5f3c1fb826e04228db2b597b43835606495e7671a5a8e0a8fc27ab 48168 acpid_1.0.10-3_amd64.deb
Files: 
 ac42c88b4f994de5ea75afcc4f799bac 1273 admin optional acpid_1.0.10-3.dsc
 be29d1dbee4e4483dbadb1c6dc3d5883 37305 admin optional acpid_1.0.10-3.diff.gz
 4d97c1cdff8d8e883b17a8472947f0f7 48168 admin optional acpid_1.0.10-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK+B2iVkEm8inxm9ERAtXbAJ0cU3fEg3Foud3I/9RCUYxU/YY1NQCfXQ/U
ilKNGL4V19DmAS+2DiLpjSQ=
=v4xO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Dec 2009 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:41:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.